Bug 1172380 - [RFE] [engine-webadmin] refresh view is rolled up to the list head
Summary: [RFE] [engine-webadmin] refresh view is rolled up to the list head
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.6.0
Assignee: Alexander Wels
QA Contact: Petr Kubica
URL:
Whiteboard: ux
Depends On: 1046279
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-09 23:45 UTC by Einav Cohen
Modified: 2016-02-10 19:47 UTC (History)
14 users (show)

Fixed In Version: ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Enhancement
Doc Text:
Clone Of: 1046279
Environment:
Last Closed: 2015-11-04 13:52:43 UTC
oVirt Team: UX


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34211 master MERGED userportal,webadmin: preserve grid scroll Never

Description Einav Cohen 2014-12-09 23:45:51 UTC
+++ This bug was initially created as a clone of Bug #1046279 +++

Description of problem:
When we roll down to the bottom of a list in the UI (of VMs for example) which is longer than the screen capacity and then we refresh the view, the view will be rolled up to the head of the list instead of preserve the last location in the view before the refresh.

Version-Release number of selected component (if applicable):
3.3

How reproducible:
100%

Steps to Reproduce:
1. have a VMs list which is longer than the screen capacity (so it will be possible to roll down) and roll down to the bottom of the list
2. refresh the list


Actual results:
The view is rolled up to the top of the list.

Expected results:
The view should be rolled down to the last location it was before the refresh.

Comment 1 Petr Kubica 2015-05-06 13:46:04 UTC
Verified in 3.6.0-0.0.master.20150504172354.git5d5237f.el6

Comment 2 Sandro Bonazzola 2015-11-04 13:52:43 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.